This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 457451 - ltsp-server-initialize 5.1.13-2 mis-uses ipcalc
ltsp-server-initialize 5.1.13-2 mis-uses ipcalc
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ltsp (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-31 14:11 EDT by David Johnston
Modified: 2008-08-07 18:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-07 18:01:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for ipcalc bug in ltsp-server-initialize (680 bytes, patch)
2008-07-31 14:11 EDT, David Johnston
no flags Details | Diff

  None (edit)
Description David Johnston 2008-07-31 14:11:07 EDT
ltsp-server-initialize fails if the network parameters aren't correctly set in
/etc/ltsp/

The code to calculate default network and broadcast currently gives
NETWORK=NETWORK=192.168.0.254
BROADCAST=BROADCAST=192.168.0.255

It should give
NETWORK=192.168.0.254
BROADCAST=192.168.0.255

Here's a patch to fix it.
Comment 1 David Johnston 2008-07-31 14:11:07 EDT
Created attachment 313123 [details]
patch for ipcalc bug in ltsp-server-initialize
Comment 2 Warren Togami 2008-08-07 18:01:04 EDT
included in the upcoming ltsp-5.1.15

Note You need to log in before you can comment on or make changes to this bug.